Create Tenant Neighbor
curl --request POST \
--url https://api.example.com/service/{tenant_name}/bgp/neighbor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"remote_asn": 123,
"remote_router_ip": "<string>",
"update_source": "<string>",
"password": "<string>",
"passive": false,
"pfx_list_in": "<string>",
"pfx_list_out": "<string>",
"max_pfx_in": 1000,
"max_pfx_out": 1000,
"keepalive": 123,
"hold": 123,
"open_delay": 0,
"shutdown": false,
"description": "<string>",
"bfd_config": {
"transmit_interval": 0,
"receive_interval": 0,
"detect_multiplier": 0,
"passive_mode": false
},
"enable": true
}
'import requests
url = "https://api.example.com/service/{tenant_name}/bgp/neighbor"
payload = {
"remote_asn": 123,
"remote_router_ip": "<string>",
"update_source": "<string>",
"password": "<string>",
"passive": False,
"pfx_list_in": "<string>",
"pfx_list_out": "<string>",
"max_pfx_in": 1000,
"max_pfx_out": 1000,
"keepalive": 123,
"hold": 123,
"open_delay": 0,
"shutdown": False,
"description": "<string>",
"bfd_config": {
"transmit_interval": 0,
"receive_interval": 0,
"detect_multiplier": 0,
"passive_mode": False
},
"enable": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
remote_asn: 123,
remote_router_ip: '<string>',
update_source: '<string>',
password: '<string>',
passive: false,
pfx_list_in: '<string>',
pfx_list_out: '<string>',
max_pfx_in: 1000,
max_pfx_out: 1000,
keepalive: 123,
hold: 123,
open_delay: 0,
shutdown: false,
description: '<string>',
bfd_config: {
transmit_interval: 0,
receive_interval: 0,
detect_multiplier: 0,
passive_mode: false
},
enable: true
})
};
fetch('https://api.example.com/service/{tenant_name}/bgp/neighbor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"extra_details": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}service - routing - BGP
Create Tenant Neighbor
POST
/
service
/
{tenant_name}
/
bgp
/
neighbor
Create Tenant Neighbor
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required range:
0 <= x <= 1000Required range:
0 <= x <= 1000Show child attributes
Show child attributes
⌘I